add

- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
add
Complete List of ArrayFire Functions ArrayFire Functions by Category » Mathematical functions » | Arithmetic operations

Addition of two inputs. More...

## Functions
AFAPI af_err | af_add (af_array *out, const af_array lhs, const af_array rhs, const bool batch)
| C Interface for adding arrays. More...
AFAPI array | operator+ (const array &lhs, const array &rhs)
| Adds two arrays or an array and a value. More...
AFAPI array | operator+ (const bool &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const int &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const unsigned &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const char &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const unsigned char &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const long &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const unsigned long &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const long long &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const unsigned long long &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const double &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const float &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const cfloat &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const cdouble &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const bool &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const int &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const unsigned &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const char &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const unsigned char &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const long &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const unsigned long &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const long long &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const unsigned long long &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const double &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const float &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const cfloat &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const cdouble &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const short &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const unsigned short &lhs, const array &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const short &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...
AFAPI array | operator+ (const array &lhs, const unsigned short &rhs)
| Adds two arrays or an array and a value. (const array&, const array&) More...

## Detailed Description

Addition of two inputs.

## Function Documentation

AFAPI af_err af_add | ( | af_array * | out,
|  | const af_array | lhs,
|  | const af_array | rhs,
|  | const bool | batch
| ) |  |

C Interface for adding arrays.

Parameters

  [out] | out | will contain sum of `lhs` and `rhs`
  [in] | lhs | first input
  [in] | rhs | second input
  [in] | batch | specifies if operations need to be performed in batch mode

Returns
  AF_SUCCESS if the execution completes properly

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const unsigned short & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const short & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const unsigned short & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const short & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const cdouble & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const cfloat & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const float & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const double & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const unsigned long long & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const long long & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const unsigned long & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const long & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const unsigned char & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const char & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const unsigned & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const int & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const bool & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const cdouble & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const cfloat & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const float & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const double & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const unsigned long long & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const long long & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const unsigned long & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const long & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const unsigned char & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const char & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const unsigned & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const int & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const bool & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value. (const array&, const array&)

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs` (const array&, const array&)

AFAPI array af::operator+ | ( | const array & | lhs,
|  | const array & | rhs
| ) |  |

Adds two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array which is the sum of the `lhs` and `rhs`